Subject: Re: [Jwt-reg-review] [EXTERNAL] vc and vp claims

From: David Chadwick <[email-masked]>
Date: Fri, 30 Oct 2020 17:04:13 +0000

Hi Everyone

I have just checked the IANA JWT registry and vc and vp claims do not 
appear to be registered yet.

Does anyone have an update on this?

Kind regards

David

On 04/08/2020 17:44, Daniel Burnett wrote:
> Yes, that is correct.  Approval, by the W3C Working Group that 
> developed the specification, for David Chadwick to request the 
> registration of these entries can be found here. [1]
>
> Daniel C. Burnett
> Chair, W3C Verifiable Credentials Working Group
>
> [1] 
> https://lists.w3.org/Archives/Public/public-vc-wg/2019Sep/0001.html , 
> search for "IANA".
>
> On Tue, Aug 4, 2020 at 11:19 AM Mike Jones 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     This registration request is missing the specification document(s)
>     URLs.  Am I correct that the right URL for both references is
>     https://www.w3.org/TR/2019/REC-vc-data-model-20191119/?
>
>                                     -- Mike
>
>     -----Original Message-----
>     From: Jwt-reg-review <[email-masked]
>     <mailto:[email-masked]>> On Behalf Of David Chadwick
>     Sent: Monday, August 3, 2020 8:23 AM
>     To: [email-masked] <mailto:[email-masked]>
>     Cc: Matt Stone <[email-masked]
>     <mailto:[email-masked]>>; Oliver Terbu
>     <[email-masked] <mailto:[email-masked]>>;
>     Daniel Burnett <[email-masked]
>     <mailto:[email-masked]>>; Manu Sporny
>     <[email-masked] <mailto:[email-masked]>>
>     Subject: [EXTERNAL] [Jwt-reg-review] vc and vp claims
>
>     Dear John, Brian, Michael and Chuck
>
>     I should like to request the following two JWT claim registrations
>     please, for a Verifiable Credential and a Verifiable Presentation
>     as specified in the W3C Recommendation for verifiable credentials.
>     FYI, Oliver and myself wrote the JWT part of the W3C Recommendation.
>
>     o  Claim Name: "vc"
>         o  Claim Description: this is the claim type for a Verifiable
>     Credential as specified in the W3C Recommendation
>         o  Change Controller: IESG
>         o  Specification Document(s): Section 6.3.1 of the W3C
>     Recommendation
>       Verifiable Credentials Data Model 1.0
>     Expressing verifiable information on the Web
>       19 November 2019
>
>
>     o  Claim Name: "vp"
>         o  Claim Description: this is the claim type for a Verifiable
>     Presentation as specified in the W3C Recommendation
>         o  Change Controller: IESG
>         o  Specification Document(s): Section 6.3.1 of the W3C
>     Recommendation
>       Verifiable Credentials Data Model 1.0
>     Expressing verifiable information on the Web
>       19 November 2019
>
>     Kind regards
>     David
>
>     _______________________________________________
>     Jwt-reg-review mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/jwt-reg-review
>